code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/bash
# -----------------------------------------------------------------------------
#
# Copyright (C) 2021 CERN & University of Surrey for the benefit of the
# BioDynaMo collaboration. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in ... | BioDynaMo/biodynamo | util/git/archive_branch/remove.sh | Shell | apache-2.0 | 1,230 |
#!/bin/bash
# Copyright 2019 The TensorFlow Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | jhseu/tensorflow | tensorflow/tools/ci_build/release/ubuntu_16/cpu_py38_full/nightly_release.sh | Shell | apache-2.0 | 2,289 |
#!/bin/bash -e
set -x
if [ -z "$4" ]; then
echo
echo "Error: Usage is $0 productName fullVersion releaseNumber outBuildDir"
exit 1
fi
FILENAME_PREFIX="$1"
FULL_VERSION="$2"
RELEASE_NUMBER="$3"
OUT_BUILD_DIR="$4"
curDir="`dirname $0`"
curDir="`cd $curDir; pwd`"
RPM_SOURCES_DIR="$OUT_BUILD_DIR/SOURCES"
if ... | alancnet/artifactory | distribution/rpm/build.rpm.sh | Shell | apache-2.0 | 997 |
#!/bin/bash
set -x
set -e
kops create -f cluster.yml
kops create -f masters.yml
kops create -f nodes.yml
bash ./secret.sh
| reactiveops/pentagon | pentagon/component/kops/files/kops.sh | Shell | apache-2.0 | 123 |
source $TREC_VENV/bin/activate
export DATA=$TREC/data2
source $CUTTSUM/events.sh
source $CUTTSUM/models.sh
for query_event in "${TS_EVENTS_2013[@]}"; do
IFS='|'; set ${query_event};
event=$2
for model in "${TS_MODELS_2013[@]}"; do
for dim in "100"; do
for temp_mode in temp,max,100 temp,agg,100... | kedz/cuttsum | old/eval-scripts/run.sh | Shell | apache-2.0 | 2,148 |
DISPLAY=":0" DBUS_SESSION_BUS_ADDRESS="unix:abstract=/tmp/dbus-VtiCpVkNOX,guid=2190ab4179e97e6607b9e48b56f51b54" notify-send "Rating received $1" -i ~/Downloads/droid_control.png
echo "`date '+%Y-%m-%d.%H:%M:%S'` custom 1 ran" >> ~/control/control.log
| lerignoux/droid_control | scripts/custom_1.sh | Shell | apache-2.0 | 252 |
GBP="Group-Based Policy"
[[ $ENABLE_NFP = True ]] && NFP="Network Function Plugin"
function gbp_configure_nova {
iniset $NOVA_CONF neutron allow_duplicate_networks "True"
}
function gbp_configure_heat {
local HEAT_PLUGINS_DIR="/opt/stack/gbpautomation/gbpautomation/heat"
iniset $HEAT_CONF DEFAULT plugin_d... | noironetworks/group-based-policy | devstack/plugin.sh | Shell | apache-2.0 | 6,861 |
#!/usr/bin/env bash
################################################################################
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. T... | fhueske/flink | tools/releasing/collect_license_files.sh | Shell | apache-2.0 | 2,322 |
#!/bin/bash
set -e
exec supervisord -n
| vjekoslav/trusty-ssh | image/entrypoint.sh | Shell | apache-2.0 | 40 |
#!/usr/bin/env bash
# Verify variables
echo -e "Project is ${PROJECT_ID}"
# Create kubeconfig and get cluster creds
export WORKDIR=`pwd`
echo -e "Adding cluster ${CLUSTER} to kubeconfig located at ${WORKDIR}/tempkubeconfig"
echo -e "Creating tempkubeconfig."
touch ./tempkubeconfig
export KUBECONFIG=${WORKDIR}/tempkub... | GoogleCloudPlatform/gke-poc-toolkit | terraform/modules/mcg/scripts/create_kube_config.sh | Shell | apache-2.0 | 1,387 |
#!/usr/bin/env bash
sudo apt update
sudo apt install -y \
python python-gtk2 python-xlib python-dbus python-wnck python-setuptools
QUICKTILE_INSTALL="$HOME/opt/quicktile"
git clone https://github.com/ssokolow/quicktile.git $QUICKTILE_INSTALL
| rafamoreira/dotfiles | bootstrap/debian/quicktile.sh | Shell | bsd-2-clause | 246 |
#!/usr/bin/env bash
MASON_NAME=benchmark
MASON_VERSION=1.0.0
MASON_LIB_FILE=lib/libbenchmark.a
. ${MASON_DIR}/mason.sh
function mason_load_source {
mason_download \
https://github.com/google/benchmark/archive/v1.0.0.tar.gz \
dcf87e5faead951fd1e9ab103cb36a7c8ebe4837
mason_extract_tar_gz
... | hydrays/osrm-backend | third_party/mason/scripts/benchmark/1.0.0/script.sh | Shell | bsd-2-clause | 1,661 |
#!/bin/bash
python -m py_compile script.py
| jonghough/SimpleWebsocket | test.sh | Shell | bsd-2-clause | 44 |
#!/bin/bash
cd ~/Projects/chippyash/source/Type-Calculator
vendor/bin/phpunit -c test/phpunit.xml --testdox-html contract.html test/
tdconv -t "Chippyash Strong Type Calculator" contract.html docs/Test-Contract.md
rm contract.html
| chippyash/Math-Type-Calculator | build.sh | Shell | bsd-3-clause | 232 |
#!/bin/sh
autoreconf -vfi
CC="arm-none-eabi-gcc"
CXX="arm-none-eabi-g++"
LD="arm-none-eabi-ld"
AR="arm-none-eabi-ar"
NUTTX_EXPORT_PATH=`test -d "${0%/*}/nuttx-export" && cd ${0%/*}/nuttx-export ; pwd`
CPPFLAGS="-isystem ${NUTTX_EXPORT_PATH}/include -isystem ${NUTTX_EXPORT_PATH}/include/cxx" \
CFLAGS="-g -O2 -Wall -... | TJ-Hidetaka-Takano/mrubyc | build_st-nucleo-l476rg.sh | Shell | bsd-3-clause | 812 |
#! /bin/bash
set -ex
testsdir=${0%/*}
cd ${testsdir}
PYTHONPATH=.. python ../src/jinja2-cui r -T . -C x.yaml -C yaml:y_yaml -C yaml:conf.d/*.conf -o /tmp/test.out -D b.template
| ssato/python-jinja2-cli | tests/test.sh | Shell | bsd-3-clause | 177 |
#!/bin/bash
:<<'COMMENT'
Author: Chris Duffy
Date: 2015
Name: setup.sh
Purpose: This installation file does the basic installation of PIP, and relevant Python libraries.
Systems: This has only been tested on Kali
Copyright (c) 2015, Christopher Duffy, Jon Fallone, Dev Patel
All rights reserved.
Redistribution and use ... | funkandwagnalls/ranger | setup.sh | Shell | bsd-3-clause | 3,953 |
#!/bin/sh
cd %(HOME)s/work/OpenTrain/webserver/opentrain
exec gunicorn -p %(HOME)s/opentrain.id \
-b 127.0.0.1:9000 \
-w 3 opentrain.wsgi:application
| hasadna/OpenTrain | webserver/FAB/files/run_gunicorn.sh | Shell | bsd-3-clause | 161 |
#!/bin/bash
# set -x
# https://scriptingosx.com/2021/07/notarize-a-command-line-tool-with-notarytool/
VERSION=$1
if [[ -z "${VERSION}" ]]; then
echo "no version specified."
echo "invoke with 'notarize-macos.sh <version> <cert_id> <keychain_profile>'"
exit
fi
# the value for CERT_ID is the team name of the "A... | clangen/musikcube | script/notarize-macos.sh | Shell | bsd-3-clause | 1,854 |
#!/bin/bash
#See http://tldp.org/HOWTO/Bash-Prog-Intro-HOWTO.html#toc6
# This function displays an error message and exit
# Usage: exitOnError "error message"
# Returnstatus: 1
function exitOnError
{
echo -e "\033[1;31mERROR:\033[0m $1" 1>&2
exit 1
}
# check if script is run in application root
scrip... | egoncommerce/ember-tutorial | scripts/i18n.sh | Shell | bsd-3-clause | 1,069 |
#!/bin/sh
#untested but hopefully works
#if it doesn't then consider this the install guide
if ! [ $(id -u) = 0 ]; then
echo "Must be run as root. Exiting"
exit 1
fi
make
mv frequencyanalyzer /bin
mv frequencycrack /bin
| 1ndy/frequency_analyzer | install.sh | Shell | bsd-3-clause | 224 |
#!/bin/bash
#
# sample lsf bsub to run an interactive job, optionally on a selected host.
#
# pick a host to land on.
host=${1:-tulgb007}
#
# the -Is says you want an interactive session
# the s says you want a terminal session.
#
# shared_int is the "shared interactive queue"
if [ -z $LSB_BATCH_JID ]; then
set -x
... | teddylfwu/RandomBinning | randFeatureCodes/codes_binning/qsub_Int.sh | Shell | bsd-3-clause | 455 |
#! /bin/sh
openrc default
rc-update del iptables wifi
rc-update del dnsmasq wifi
rc-update del hostapd wifi
rc-update add wpa_supplicant wifi
sed -i '/^interface wlan0/{s/^interface/#interface/;n;s/^static/#static/}' /etc/dhcpcd.conf
service dhcpcd restart
| fbalakirev/red-pitaya-notes | alpine/wifi/client.sh | Shell | mit | 262 |
#!/bin/bash
# Label Configs location
Github_label_config_directory="$Ash__ACTIVE_MODULE_DIRECTORY/extras/label_configs"
##################################################
# Loads in a config file and handles it
#
# @param $1: The repo name
# @param $2: The labels config name
# @param $3: 1 if this is an import
# ... | carrot/ash-github | lib/labels.sh | Shell | mit | 6,674 |
#!/bin/sh
#
# Copyright (c) 2014 Christian Couder
# MIT Licensed; see the LICENSE file in this repository.
#
test_description="Test mount command"
. lib/test-lib.sh
# if in travis CI, dont test mount (no fuse)
if ! test_have_prereq FUSE; then
skip_all='skipping mount tests, fuse not available'
test_done
fi
test_... | srikumarks/go-ipfs | test/sharness/t0030-mount.sh | Shell | mit | 989 |
#!/bin/bash
#
# Run this script from a logged in user - with the user you want to run the Xcode Unit Tests with!
#
# For launchctr related configs check the _launchctl_common.sh file
#
THIS_SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
cd "${THIS_SCRIPT_DIR}"
source _launchctl_common.sh
echo " (i... | bitrise-io/xcodebuild-unittest-miniserver | _scripts/install_launchctl_plist_for_current_user.sh | Shell | mit | 2,303 |
#!/bin/bash
# Script Name: AtoMiC SickGear Updater
source "$SCRIPTPATH/inc/commons.sh"
source "$SCRIPTPATH/inc/header.sh"
echo -e "${GREEN}AtoMiC $APPTITLE Update Script$ENDCOLOR"
source "$SCRIPTPATH/inc/pause.sh"
if DoesAppFolderExist; then
source "$SCRIPTPATH/inc/app-stop.sh"
source "$SCRIPTPATH/utils/pytho... | htpcBeginner/AtoMiC-ToolKit | sickgear/sickgear-update.sh | Shell | mit | 670 |
#bundle: group files into destribution package
echo '# To unbundle, sh this file'
for i
do
echo "echo $i 1>&2"
echo "cat >$i <<'End of $i'"
cat $i
echo "End of $i"
done
| yimng/LEARN | unixenv/bundle.sh | Shell | mit | 175 |
#!/usr/bin/env bash
## Test for issue1636 - primitive match type: hunk
##
## Copyright (C) Kamil Dworakowski
##
## Permission is hereby granted, free of charge, to any person
## obtaining a copy of this software and associated documentation
## files (the "Software"), to deal in the Software without
## restriction, incl... | DavidAlphaFox/darcs | tests/issue1636-match-hunk.sh | Shell | gpl-2.0 | 1,806 |
#!/usr/bin/env bash
# vim: set sw=4 et sts=4 tw=80 :
# Copyright 2009 Ali Polatel <polatel@gmail.com>
# Distributed under the terms of the GNU General Public License v2
. test-lib.bash
clean_files+=( "arnold.layne.hard" )
# To make sure links are handled correctly, add see.emily.play to
# SYDBOX_WRITE as we're creat... | larsuhartmann/sydbox | tests/progtests/t06-link.bash | Shell | gpl-2.0 | 745 |
#!/bin/bash
# Copyright (C) 2004 Andrew Beekhof <andrew@beekhof.net>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later ... | ClusterLabs/pacemaker-1.0 | pengine/stonith.sh | Shell | gpl-2.0 | 1,229 |
#!/bin/bash
PG_VERSION=$(psql --version 2> /dev/null | tr -s ' ' | cut -d' ' -f 3)
DS_VERSION=$(dachs --version 2> /dev/null | tr -d '(-)' | cut -d' ' -f 3)
DS_VERSION=${DS_VERSION:-"2.x"}
DS_PORT=$(cat $GAVOSETTINGS | grep 'serverPort' | cut -d' ' -f2)
echo ""
echo "==================================================... | chbrandt/dachs | dockerfiles/dachs/bin/help.sh | Shell | gpl-2.0 | 1,261 |
export DB_SERVER=127.0.0.1
export MONGO_URL="mongodb://$DB_SERVER/steedos"
export MONGO_OPLOG_URL="mongodb://$DB_SERVER/local"
export MULTIPLE_INSTANCES_COLLECTION_NAME=workflow_instances
export ROOT_URL=http://127.0.0.1:3000/
meteor run --settings settings.json
| steedos/apps | start.sh | Shell | gpl-2.0 | 264 |
# ----------------------------------------------------------------------------
# Converte todas as letras para minúsculas, inclusive acentuadas.
# Uso: zzminusculas [texto]
# Ex.: zzminusculas NÃO ESTOU GRITANDO # via argumentos
# echo NÃO ESTOU GRITANDOO | zzminusculas # via STDIN
#
# Autor: Aurel... | funcoeszz/funcoeszz | zz/zzminusculas.sh | Shell | gpl-2.0 | 813 |
#!/usr/bin/env bash
# See https://raw.githubusercontent.com/wp-cli/scaffold-command/master/templates/install-wp-tests.sh
if [ $# -lt 3 ]; then
echo "usage: $0 <db-name> <db-user> <db-pass> [db-host] [wp-version] [skip-database-creation]"
exit 1
fi
DB_NAME=$1
DB_USER=$2
DB_PASS=$3
DB_HOST=${4-localhost}
WP_VERSION=... | swissspidy/preferred-languages | bin/install-wp-tests.sh | Shell | gpl-2.0 | 5,558 |
#!/bin/sh
#
# Copyright (C) 2009-2011 OpenWrt.org
#
AR71XX_BOARD_NAME=
AR71XX_MODEL=
ar71xx_get_mtd_offset_size_format() {
local mtd="$1"
local offset="$2"
local size="$3"
local format="$4"
local dev
dev=$(find_mtd_part $mtd)
[ -z "$dev" ] && return
dd if=$dev bs=1 skip=$offset count=$size 2>/dev/null | hex... | fevenor/openwrt | target/linux/ar71xx/base-files/lib/ar71xx.sh | Shell | gpl-2.0 | 10,971 |
#!/bin/bash
n=0
until [ $n -ge 5 ]
do
$@ && break # substitute your command here
n=$[$n+1]
echo "Retrying ($n/5): sleeping for 15 ..."
sleep 15
done
| icgc-dcc/dcc-storage | docker/retry-command.sh | Shell | gpl-3.0 | 162 |
#
# restore data with Galaxy
#
# verify that we have a backupset
[ "$GALAXY10_BACKUPSET" ]
StopIfError "Galaxy Backup Set not defined [GALAXY10_BACKUPSET=]."
# create argument file
cat <<EOF >$TMP_DIR/galaxy.restore.options
$(test -r "$GALAXY10_Q_ARGUMENTFILE" && cat "$GALAXY10_Q_ARGUMENTFILE")
[sourceclient]
$HOSTN... | terreActive/rear | usr/share/rear/restore/GALAXY10/default/400_restore_with_galaxy.sh | Shell | gpl-3.0 | 1,854 |
#!/bin/bash
/usr/sbin/groupadd tstpamgrpg
/usr/sbin/useradd -p '!!' tstpamgrp
/usr/sbin/useradd -p '!!' tstpamgrp2
./tst-pam_group1
RET=$?
/usr/sbin/userdel -r tstpamgrp 2> /dev/null
/usr/sbin/userdel -r tstpamgrp2 2> /dev/null
/usr/sbin/groupdel tstpamgrpg 2> /dev/null
exit $RET
| KubaKaszycki/kubux | pam/xtests/tst-pam_group1.sh | Shell | gpl-3.0 | 282 |
#!/bin/bash
# Usage : source pretzel/resources/tools/dev/functions_convert.bash
# sp=~/pretzel/resources/tools/dev/snps2Dataset.pl;
# commonName=Chickpea;
# shortName=WGS_SNP;
# platform=WGS_SNP;
# parentName=...
# genBankRename= sed script of the form :
# s/gi|442654316|gb|CM001764.1|/Ca1/
# s/gi|442654315|gb|... | plantinformatics/pretzel | resources/tools/dev/functions_convert.bash | Shell | gpl-3.0 | 3,728 |
#!/bin/sh
# 2006 (c) Etersoft www.etersoft.ru
# Public domain
# load common functions, compatible with local and installed script
. `dirname $0`/../share/eterbuild/korinf/common
check()
{
local REPL
echo
echo -n "Source line: '$TEST1' with result '$REAL' "
#REPL=`echo $TEST1 | sed -r -e $NRL`
#REPL=`echo $TEST1 ... | vitlav/korinf | tests/test_spaces.sh | Shell | agpl-3.0 | 659 |
#!/bin/sh
# -----------------------------------------------------------------------------
# Start/Stop Script for the CATALINA Server
#
# Environment Variable Prequisites
#
# CATALINA_HOME May point at your Catalina "build" directory.
#
# CATALINA_BASE (Optional) Base directory for resolving dynamic portions
# ... | simeshev/parabuild-ci | 3rdparty/apache-tomcat-4.1.39/bin/catalina.sh | Shell | lgpl-3.0 | 10,134 |
#!/usr/bin/env bash
update_node_modules()
{
typeset var root_path="$1"
echo "* updating node deps of $root_path..."
mkdir -p "$root_path/node_modules"
cd "$root_path"
npm update
npm prune
cd -
}
upate_bower_components()
{
typeset var root_path="$1"
echo "* reinstalling bower deps of $root_path..."
mkdir -p ... | Offirmo/web-tech-experiments | tosort/2014/deps_update.sh | Shell | unlicense | 1,255 |
#!/bin/bash
# Copyright (c) 2017, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unle... | Prakhash/security-tools | internal/automation-scripts/UpdateProducts.sh | Shell | apache-2.0 | 2,037 |
#!/bin/bash
# http://stackoverflow.com/questions/32597209/python-not-working-in-the-command-line-of-git-bash
# http://how-to.wikia.com/wiki/How_to_read_command_line_arguments_in_a_bash_script
winpty python git_update_all.py $1
| autodrive/utils3 | git_update_all.sh | Shell | apache-2.0 | 227 |
#!/bin/sh
# https://cloud.google.com/iot/docs/how-tos/credentials/keys
#
# Generate RSA256
openssl genrsa -out rsa_private.pem 2048
openssl rsa -in rsa_private.pem -pubout -out rsa_public.pem
| libopenstorage/openstorage | hack/generate-jwt-rsa-keys.sh | Shell | apache-2.0 | 193 |
#!/usr/bin/env bash
set -e
BUILD_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")/.." && pwd)"
source "${BUILD_DIR}/ci/common/common.sh"
source "${BUILD_DIR}/ci/common/neovim.sh"
COVERITY_BRANCH=${COVERITY_BRANCH:-master}
COVERITY_LOG_FILE="${BUILD_DIR}/build/neovim/cov-int/scm_log.txt"
# Check day of week to run Coverity ... | fwalch/bot-ci | ci/coverity.sh | Shell | apache-2.0 | 1,398 |
#!/bin/sh
set -o errexit -o nounset
# Book
mdbook build -d ../docs/ book
# API docs
cargo doc --no-deps
mv -T target/doc docs/api
| withoutboats/cargonauts | deploy_docs.sh | Shell | apache-2.0 | 132 |
#!/usr/bin/env bash
# Copyright 2012 Citrix Systems, Inc. Licensed under the
# Apache License, Version 2.0 (the "License"); you may not use this
# file except in compliance with the License. Citrix Systems, Inc.
# reserves all rights not expressly granted by the License.
# You may obtain a copy of the License at http:... | argv0/cloudstack | patches/systemvm/debian/config/root/ipassoc.sh | Shell | apache-2.0 | 11,891 |
#!/bin/bash
# Copyright 2015 The Kubernetes Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | BugRoger/kubernetes | hack/jenkins/e2e.sh | Shell | apache-2.0 | 36,599 |
#!/bin/bash
# Copyright 2015-2016 Samsung Electronics Co., Ltd.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by appl... | lemmaa/iotjs | tools/mem_stats.sh | Shell | apache-2.0 | 3,488 |
#!/bin/bash
# 1: REV
function validateRev() {
validateNumber "SvnRev" $1
}
function validateRevRange() {
local RANGE=$1
if ! echo $RANGE | grep -E '^[0-9]+(:[0-9]+)?$' >/dev/null; then
echo "Illegal Revision Range: $RANGE"
exit 1
fi
}
# 1: CMD
function validateCmd() {
local CMD=$1
if ! echo $CMD ... | drptbl/dash | scripts/shared/vcs/svn.sh | Shell | apache-2.0 | 971 |
arm-none-eabi-objcopy -O binary ../../../output/da15000/bin/arm-none-eabi-ot-cli-ftd ../../../output/da15000/bin/arm-none-eabi-ot-cli-ftd.bin
| jjlee9/openthread | third_party/dialog/DialogTools/imgprep.sh | Shell | bsd-3-clause | 145 |
#!/bin/bash
mkdir -p /sbin
for i in sbin/dhcpcanon-script; do install "$i" /sbin; done
mkdir -p /share/doc/dhcpcanon
for i in README.md LICENSE; do install -m 644 "$i" /share/doc/dhcpcanon; done
mkdir -p /share/man/man8
for i in man/dhcpcanon.8; do install -m 644 "$i" /share/man/man8; done
python3 setup.py install --... | juxor/dhcpcanon_debian | install.sh | Shell | mit | 1,022 |
#!/bin/bash
if [ $# -eq 0 ];
then
echo "Usage: $0 \"cores\" num_repetitions value_to_keep \"executable1 excutable2 ...\" [params]";
echo " where \"cores\" can be the actual thread num to use, such as \"1 10 20\", or"
echo " one of the predefined specifications for that platform (e.g., socket -- see "
... | egeyar/ASCYLIB | scripts/scalability_rep_simple.sh | Shell | gpl-2.0 | 2,036 |
#///////////////////////////////////////////////////////////////////////////////
# This file was originally written by Michael J. Bojazi and Bradley S. Meyer.
#
# This is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software ... | shenyp09/nucnet-tools-code | my_examples/graph/net_view.sh | Shell | gpl-3.0 | 3,094 |
rsync -rvu --perms \
"/cygdrive/D/User/Dropbox/Applications/SoftwareVersioning/MultiModServer/plugins/" \
"/cygdrive/F/SteamCMD/steamapps/common/Half-Life/czero/"
| evandrocoan/Galileo | installers/install_multimod_plugins.sh | Shell | gpl-3.0 | 170 |
#!/bin/sh
mkdir -p build/aux || exit 1
mkdir -p build/m4 || exit 1
autoreconf -vfi "$@" || exit 1
| scengine/core | autogen.sh | Shell | gpl-3.0 | 113 |
#!/bin/bash
set -ex
###########################################################
# UTILS
###########################################################
export DEBIAN_FRONTEND=noninteractive
apt-get update
apt-get install --no-install-recommends -y tzdata ca-certificates net-tools libxml2-utils git curl libudev1 libxml2-u... | spring-io/initializr | ci/images/setup.sh | Shell | apache-2.0 | 1,092 |
#!/usr/bin/env bash
# **install_prereqs.sh**
# Install system package prerequisites
#
# install_prereqs.sh [-f]
#
# -f Force an install run now
FORCE_PREREQ=0
while getopts ":f" opt; do
case $opt in
f)
FORCE_PREREQ=1
;;
esac
done
# If TOP_DIR is set we're being source... | sc68cal/devstack | tools/install_prereqs.sh | Shell | apache-2.0 | 2,170 |
#!/bin/bash
if [[ $EUID -ne 0 ]]; then
echo "$0 must be run as root"
exit 1
fi
RELEASE=`grep -1 -A 0 -B 0 '<version>' /vagrant/pom.xml | head -n 1 | awk '{print $1}' | sed -e 's/.*<version>//' | sed -e 's/<\/version>.*//'`
echo "`date` - Starting nimbus!!" > start-nimbus.log
cd /vagrant/_release/storm-mesos-$... | changreytang/storm-mesos | vagrant/start-nimbus.sh | Shell | apache-2.0 | 1,156 |
#!/bin/bash
set -e
# Find the directory we exist within
DIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
cd ${DIR}/../../build
cat << EOF
# Tools
Metrictank comes with a bunch of helper tools.
Here is an overview of them all.
This file is generated by [tools-to-doc](https://github.com/grafana/metrictank/blob/... | raintank/raintank-metric | scripts/dev/tools-to-doc.sh | Shell | apache-2.0 | 582 |
#!/usr/bin/env sh
rootfolder=/nfs/hn46/xiaolonw/cnncode/caffe-3dnormal_r_n
GLOG_logtostderr=1 $rootfolder/build/examples/3dnormal/convert_normal_win_high_test.bin /nfs/ladoga_no_backups/users/xiaolonw/seg_cls/sliding_window_edge_high_test/images/ /nfs/ladoga_no_backups/users/xiaolonw/seg_cls/sliding_window_edge_high_... | xiaolonw/caffe-3dnormal_joint_pose | scripts/3dnormal_win_fuse_tri_2fc/testnet_locedge/convert_3dnormal_win_tri_test.sh | Shell | bsd-2-clause | 624 |
#!/usr/bin/env sh
# test_net_seg.bin test_proto pre_train_model label.txt outputfolder [CPU/GPU]
ROOTFILE=/nfs/hn46/xiaolonw/cnncode/caffe-3dnormal_r_n
GLOG_logtostderr=1 /nfs/hn46/xiaolonw/cnncode/caffe-3dnormal_r_n/bui... | xiaolonw/caffe-3dnormal_joint_past | scripts/3dnormal_win_cls_denoise_fc2/testontrain/test_3dnet2.sh | Shell | bsd-2-clause | 749 |
#!/bin/bash
FN="pd.mogene.2.0.st_3.14.1.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.10/data/annotation/src/contrib/pd.mogene.2.0.st_3.14.1.tar.gz"
"https://bioarchive.galaxyproject.org/pd.mogene.2.0.st_3.14.1.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-pd.mogene.2.0.st/bioconductor-pd.m... | Luobiny/bioconda-recipes | recipes/bioconductor-pd.mogene.2.0.st/post-link.sh | Shell | mit | 1,459 |
#!/bin/sh
cmake -DCHECK=off -DARITH=gmp -DBN_PRECI=4096 -DALLOC=DYNAMIC -DCFLAGS="-O3 -march=native -mtune=native -fomit-frame-pointer" -DWITH="DV;BN;MD;CP" -DSHLIB=off $1
| PIVX-Project/PIVX | src/chiabls/contrib/relic/preset/gmp-paillier-4096.sh | Shell | mit | 173 |
SWITCH=$1
TABLE=$2
watch -n 1 -d "flowcount.sh $1 $2"
| TheOranges/gbp-devstack | devstack-scripts/pollflows.sh | Shell | epl-1.0 | 54 |
cd /opt/rur-ple/
python rur_lessons.py
| tectronics/rur-ple | linux_packaging/rur-lessons.sh | Shell | gpl-2.0 | 39 |
#!/bin/sh
xgettext -C -f po/POTFILES.in -d gninjam -p po -o gninjam.pot --keyword=_ --copyright-holder="Tobias Gehrig"
for lang in de ; do
grep -v "^#:" po/$lang.po > po/$lang.po.tmp
mv po/$lang.po.tmp po/$lang.po
xgettext -C --omit-header -j -f po/POTFILES.in -d gninjam -p po -o $lang.po --keyword=_
done | bill-auger/gninjam | update-potfile.sh | Shell | gpl-2.0 | 319 |
#
# Copyright (C) 2009 OpenWrt.org
#
. /lib/ar71xx.sh
PART_NAME=firmware
RAMFS_COPY_DATA=/lib/ar71xx.sh
CI_BLKSZ=65536
CI_LDADR=0x80060000
platform_find_partitions() {
local first dev size erasesize name
while read dev size erasesize name; do
name=${name#'"'}; name=${name%'"'}
case "$name" in
vmlinux.bin.l... | alicemirror/Backfire-EA3250 | target/linux/ar71xx/base-files/lib/upgrade/platform.sh | Shell | gpl-2.0 | 3,387 |
#!/bin/sh
PATH=/usr/sbin:/usr/bin:/sbin:/bin
[ -s /.resume -a -b "$resume" ] && {
# First try user level resume; it offers splash etc
case "$splash" in
quiet)
a_splash="-P splash=y"
;;
*)
a_splash="-P splash=n"
;;
esac
[ -x "$(command -v ... | haraldh/dracut | modules.d/95resume/resume.sh | Shell | gpl-2.0 | 434 |
#!/bin/sh
# Copyright (C) 1999-2006 ImageMagick Studio LLC
#
# This program is covered by multiple licenses, which are described in
# LICENSE. You should have received a copy of LICENSE with this
# package; otherwise see http://www.imagemagick.org/script/license.php.
. ${srcdir}/tests/common.shi
${RUNENV} ${MEMCHECK} ... | ipwndev/DSLinux-Mirror | user/imagemagick/src/tests/rwfile_PAM_pallette.sh | Shell | gpl-2.0 | 363 |
#rm js/sql.js
EMSCRIPTEN=/home/olojkine/Téléchargements/emscripten/emscripten/ make $1
| GadflyBSD/thinkAPP | app_www/lib/sql.js/gh-pages/compile.sh | Shell | apache-2.0 | 89 |
#!/bin/bash
FN="pd.celegans_3.12.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.13/data/annotation/src/contrib/pd.celegans_3.12.0.tar.gz"
"https://bioarchive.galaxyproject.org/pd.celegans_3.12.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-pd.celegans/bioconductor-pd.celegans_3.12.0_src_a... | phac-nml/bioconda-recipes | recipes/bioconductor-pd.celegans/post-link.sh | Shell | mit | 1,424 |
#!/bin/bash
#SBATCH -p debug
#SBATCH --ntasks=4
#SBATCH --ntasks-per-node=4
#SBATCH -t 60
#SBATCH --output=OUTPUT_FILES/%j.o
#SBATCH --job-name=go_database
umask 0022
cd $SLURM_SUBMIT_DIR
# script to generate databases
# read Par_file to get information about the run
NPROC=`grep ^NPROC DATA/Par_file | grep -v -E '... | QuLogic/specfem3d | utils/Cluster/slurm/go_generate_databases_slurm.bash | Shell | gpl-2.0 | 835 |
#!/bin/bash
# network root script for anaconda.
# runs in the "online" hook, every time an interface comes online.
command -v getarg >/dev/null || . /lib/dracut-lib.sh
. /lib/anaconda-lib.sh
# initqueue/online hook passes interface name as $1
netif="$1"
# get repo info
splitsep ":" "$root" prefix repo
# repo not se... | jkonecny12/anaconda | dracut/anaconda-netroot.sh | Shell | gpl-2.0 | 3,163 |
#!/usr/bin/env bash
set -ev
wd=`cd $(dirname $0); pwd`
. $wd/artifacts.sh
ls -la $share_folder/build
ALL_MODULES=`find $share_folder/build/ -name "*.whl"`
pip install -e ./tools
[ -d privates ] && pip install -qqq privates/*.whl
pip install $ALL_MODULES
pip install "sphinx==1.6.7" -q
echo "Installed."
cd doc/sp... | yugangw-msft/azure-cli | scripts/ci/test_ref_doc.sh | Shell | mit | 422 |
#!/bin/sh
EXPECTED_ARGS=1
if [ $# -ne $EXPECTED_ARGS ]
then
echo "Usage: `basename $0` <fsa_input_in_utf8>"
echo "The input for this script is usually the output of prepare_fsa_format.sh"
echo "A directory 's_fsa' must exist (or a link must exist) with the FSA from "
echo "http://www.eti.pg.gda.pl/katedry/kiw/... | ManolitoOctaviano/Language-Identification | src/resource/de/make-dict-de.sh | Shell | lgpl-2.1 | 586 |
#!/bin/sh
OCP3_DNS_NAMESERVER=${OCP3_DNS_NAMESERVER:-8.8.8.8}
PUBLIC_NETWORK=${PUBLIC_NETWORK:-public_network}
CONTROL_SUBNET_CIDR=${CONTROL_SUBNET_CIDR:-172.18.10.0/24}
openstack network create control-network
openstack subnet create --network control-network --subnet-range ${CONTROL_SUBNET_CIDR} \
--dns-nameserver ... | Tlacenka/openshift-ansible-contrib | reference-architecture/osp-cli/ch5.3_control_network.sh | Shell | apache-2.0 | 515 |
#!/bin/bash
FN="bladderbatch_1.32.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.14/data/experiment/src/contrib/bladderbatch_1.32.0.tar.gz"
"https://bioarchive.galaxyproject.org/bladderbatch_1.32.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-bladderbatch/bioconductor-bladderbatch_1.32.0_... | cokelaer/bioconda-recipes | recipes/bioconductor-bladderbatch/post-link.sh | Shell | mit | 1,312 |
#!/bin/bash
# This script generates the combined tbx.js JavaScript file for use when `mode="prod"`.
# Running this will save a file at /src/html/assets/javascripts/releases/$VERSION/tbx.js.
# TODO: Add link to documentation that describes how static assets are cached.
# https://github.com/photo/documentation/issues/... | meatcar/frontend | src/scripts/tbx-dot-js.sh | Shell | apache-2.0 | 1,044 |
#!/usr/bin/env bash
set -e
cd "$(dirname "$(readlink -f "$BASH_SOURCE")")"
# Load the helpers.
. helpers.bash
function execute() {
>&2 echo "++ $@"
eval "$@"
}
# Tests to run. Defaults to all.
TESTS=${@:-. compose discovery api nodemanagement mesos/api mesos/compose mesos/zk}
# Generate a temporary binary for th... | echupriyanov/swarm | test/integration/test_runner.sh | Shell | apache-2.0 | 1,413 |
#!/bin/bash
set -eo pipefail
dir="$(dirname "$(readlink -f "$BASH_SOURCE")")"
image="$1"
# Use a client image with curl for testing
clientImage='buildpack-deps:buster-curl'
# ensure the clientImage is ready and available
if ! docker image inspect "$clientImage" &> /dev/null; then
docker pull "$clientImage" > /dev/n... | dinogun/official-images | test/tests/open-liberty-hello-world/run.sh | Shell | apache-2.0 | 919 |
#!/usr/bin/env bash
# Copyright 2018 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applica... | aveshagarwal/kubernetes | test/cmd/diff.sh | Shell | apache-2.0 | 2,353 |
########################################################################
# Test resurrect table locks
########################################################################
. inc/common.sh
require_server_version_higher_than 5.6.0
################################################################################
# St... | tplavcic/percona-xtrabackup | storage/innobase/xtrabackup/test/t/bug1340717.sh | Shell | gpl-2.0 | 867 |
#!/bin/bash
FN="KEGGdzPathwaysGEO_1.16.0.tar.gz"
URLS=(
"http://bioconductor.org/packages/3.6/data/experiment/src/contrib/KEGGdzPathwaysGEO_1.16.0.tar.gz"
"https://depot.galaxyproject.org/software/bioconductor-keggdzpathwaysgeo/bioconductor-keggdzpathwaysgeo_1.16.0_src_all.tar.gz"
)
MD5="814209c8cae15c1ecdc7efddb8a... | colinbrislawn/bioconda-recipes | recipes/bioconductor-keggdzpathwaysgeo/post-link.sh | Shell | mit | 1,269 |
# --- Running LAMMPS ---
# -- Prerequisites: --
# The "run.in.nvt" file is a LAMMPS input script containing
# references to the input scripts and data files
# you hopefully have created earlier with moltemplate.sh:
# system.in.init, system.in.settings, system.data
# If not, carry out the instructions in "README_setu... | quang-ha/lammps | tools/moltemplate/examples/coarse_grained/abstract_lennard_jones_tube/README_run.sh | Shell | gpl-2.0 | 810 |
#!/bin/bash
# example:
# show help:
# bash runCECP.sh -h
# show alignment GUI (and download the PDB files automatically if they don't exist)
# bash runCECP.sh -pdb1 3cna.A -pdb2 2pel.A -pdbFilePath /tmp/ -autoFetch -show3d
# print output as XML
# bash runCECP.sh -pdb1 3cna.A -pdb2 2pel.A -pdbFilePath /tmp/ -pr... | andreasprlic/biojava | biojava-protein-comparison-tool/src/main/assembly/runCECP.sh | Shell | lgpl-2.1 | 1,221 |
SCRIPT=$(basename $0)
mkdir -p /var/vcap/sys/log/monit
exec 1>> /var/vcap/sys/log/monit/$SCRIPT.out.log
exec 2>> /var/vcap/sys/log/monit/$SCRIPT.err.log
pid_guard() {
pidfile=$1
name=$2
if [ -f "$pidfile" ]; then
pid=$(head -1 "$pidfile")
if [ -n "$pid" ] && [ -e /proc/$pid ]; then
echo "$name i... | sedouard/concourse | src/pid_utils.sh | Shell | apache-2.0 | 1,808 |
#!/bin/sh
SNV_VERSION=`git show -s --format=%H`
echo -n "Git-$SNV_VERSION"
| lowflyerUK/motion | git-commit-version.sh | Shell | gpl-2.0 | 77 |
#!/bin/sh
#
# update.sh
#
# update copyright dates in files
# Copyright (c) 2001-2006, Cisco Systems, Inc.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# Redistributions of source code ... | wangscript/libjingle-1 | trunk/third_party/libsrtp/srtp/update.sh | Shell | bsd-3-clause | 1,758 |
#!/bin/sh
# Copyright 2016 gRPC authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to... | yongni/grpc | tools/distrib/python_wrapper.sh | Shell | apache-2.0 | 863 |
#!/bin/bash
#
# Copyright (C) 2014 The Android Open Source Project
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applic... | midnightradio/gerrit | gerrit-server/src/main/resources/com/google/gerrit/server/tools/root/scripts/reposize.sh | Shell | apache-2.0 | 2,522 |
#!/usr/bin/env bash
# Copyright 2016 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicab... | jawnsy/cri-o | vendor/k8s.io/kubernetes/hack/verify-bazel.sh | Shell | apache-2.0 | 939 |
R CMD REMOVE --library=$PREFIX/lib/R/library/ mouse4302cdf
| joachimwolff/bioconda-recipes | recipes/bioconductor-mouse4302cdf/pre-unlink.sh | Shell | mit | 59 |
# RR
# SS
valgrind ./repop_testcases sr 11x29x51 rand sr 11x29x51 rand '+' > /dev/null
valgrind ./repop_testcases sr 11x29x51 rand sr 11x29x51 rand '+' > /dev/null
valgrind ./repop_testcases sr 11x29x51 rand sr 11x29x51 rand '+' > /dev/null
valgrind ./repop_testcases sr 11x29x51 rand sr 11x29x51 rand '+' > /dev/null
#S... | distrep/DMLT | external/svm/repop/valgrind.sh | Shell | gpl-3.0 | 5,019 |
#!/bin/sh
# PCSX2 - PS2 Emulator for PCs
# Copyright (C) 2002-2011 PCSX2 Dev Team
#
# PCSX2 is free software: you can redistribute it and/or modify it under the terms
# of the GNU Lesser General Public License as published by the Free Software Found-
# ation, either version 3 of the License, or (at your option) any l... | tacchinotacchi/pcsx2 | tools/bin2app.sh | Shell | gpl-2.0 | 940 |
alias brewp='brew pin'
alias brews='brew list -1'
alias brewsp='brew list --pinned'
alias bubo='brew update && brew outdated'
alias bubc='brew upgrade && brew cleanup'
alias bubu='bubo && bubc'
alias buf='brew upgrade --formula'
alias bcubo='brew update && brew outdated --cask'
alias bcubc='brew upgrade --cask && brew ... | okubax/dotfiles | zsh/oh-my-zsh/plugins/brew/brew.plugin.zsh | Shell | gpl-3.0 | 329 |
#!/bin/bash
if [ -f .veewee_params ]
then
. .veewee_params
fi
date > /etc/vagrant_box_build_time
# Setup sudo to allow no-password sudo for "sudo"
usermod -a -G sudo vagrant
# Installing vagrant keys
mkdir /home/vagrant/.ssh
chmod 700 /home/vagrant/.ssh
cd /home/vagrant/.ssh
groupadd -r admin
usermod -a -G admin ... | akshaykarle/veewee | templates/ubuntu-10.04.4-server-i386/vagrant.sh | Shell | mit | 523 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for RHSA-2011:0910
#
# Security announcement date: 2011-06-28 17:38:03 UTC
# Script generation date: 2017-01-01 21:13:11 UTC
#
# Operating System: Red Hat 6
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - ruby-debuginfo.i686:1.8.7.299-7.el6_1.1... | Cyberwatch/cbw-security-fixes | Red_Hat_6/x86_64/2011/RHSA-2011:0910.sh | Shell | mit | 2,249 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.